# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   python_test
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/11/4 15:51
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest

from InterfaceAutoTest01.common.db import DB
from InterfaceAutoTest01.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def req_fix():
    req = RequestsMethod()
    return req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    return db

# def pytest_collection_modifyitems(items):
#     # item表示每个测试用例，解决用例名称中文显示问题
#     for item in items:
#         item.name = item.name.encode("utf-8").decode("unicode-escape")
#         item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")

